// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: proto/TokenAssociate.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Associates the provided account with the provided tokens. Must be signed by the provided Account's key.
//If the provided account is not found, the transaction will resolve to INVALID_ACCOUNT_ID.
//If the provided account has been deleted, the transaction will resolve to ACCOUNT_DELETED.
//If any of the provided tokens is not found, the transaction will resolve to INVALID_TOKEN_REF.
//If any of the provided tokens has been deleted, the transaction will resolve to TOKEN_WAS_DELETED.
//If an association between the provided account and any of the tokens already exists, the transaction will resolve to TOKEN_ALREADY_ASSOCIATED_TO_ACCOUNT.
//If the provided account's associations count exceed the constraint of maximum token associations per account, the transaction will resolve to TOKENS_PER_ACCOUNT_LIMIT_EXCEEDED.
//On success, associations between the provided account and tokens are made and the account is ready to interact with the tokens.
type TokenAssociateTransactionBody struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Account *AccountID `protobuf:"bytes,1,opt,name=account,proto3" json:"account,omitempty"` // The account to be associated with the provided tokens
	Tokens  []*TokenID `protobuf:"bytes,2,rep,name=tokens,proto3" json:"tokens,omitempty"`   // The tokens to be associated with the provided account. In the case of NON_FUNGIBLE_UNIQUE Type, once an account is associated, it can hold any number of NFTs (serial numbers) of that token type
}

func (x *TokenAssociateTransactionBody) Reset() {
	*x = TokenAssociateTransactionBody{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_TokenAssociate_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TokenAssociateTransactionBody) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TokenAssociateTransactionBody) ProtoMessage() {}

func (x *TokenAssociateTransactionBody) ProtoReflect() protoreflect.Message {
	mi := &file_proto_TokenAssociate_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TokenAssociateTransactionBody.ProtoReflect.Descriptor instead.
func (*TokenAssociateTransactionBody) Descriptor() ([]byte, []int) {
	return file_proto_TokenAssociate_proto_rawDescGZIP(), []int{0}
}

func (x *TokenAssociateTransactionBody) GetAccount() *AccountID {
	if x != nil {
		return x.Account
	}
	return nil
}

func (x *TokenAssociateTransactionBody) GetTokens() []*TokenID {
	if x != nil {
		return x.Tokens
	}
	return nil
}

var File_proto_TokenAssociate_proto protoreflect.FileDescriptor

var file_proto_TokenAssociate_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x41, 0x73, 0x73,
	0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x16, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x42, 0x61, 0x73, 0x69, 0x63,
	0x54, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x73, 0x0a, 0x1d, 0x54,
	0x6f, 0x6b, 0x65, 0x6e, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x12, 0x2a, 0x0a, 0x07,
	0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x44, 0x52,
	0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x26, 0x0a, 0x06, 0x74, 0x6f, 0x6b, 0x65,
	0x6e, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x49, 0x44, 0x52, 0x06, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x73,
	0x42, 0x4b, 0x0a, 0x1a, 0x63, 0x6f, 0x6d, 0x2e, 0x68, 0x65, 0x64, 0x65, 0x72, 0x61, 0x2e, 0x68,
	0x61, 0x73, 0x68, 0x67, 0x72, 0x61, 0x70, 0x68, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01,
	0x5a, 0x2b, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x68, 0x61, 0x73,
	0x68, 0x67, 0x72, 0x61, 0x70, 0x68, 0x2f, 0x68, 0x65, 0x64, 0x65, 0x72, 0x61, 0x2d, 0x73, 0x64,
	0x6b, 0x2d, 0x67, 0x6f, 0x2f, 0x76, 0x32, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_TokenAssociate_proto_rawDescOnce sync.Once
	file_proto_TokenAssociate_proto_rawDescData = file_proto_TokenAssociate_proto_rawDesc
)

func file_proto_TokenAssociate_proto_rawDescGZIP() []byte {
	file_proto_TokenAssociate_proto_rawDescOnce.Do(func() {
		file_proto_TokenAssociate_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_TokenAssociate_proto_rawDescData)
	})
	return file_proto_TokenAssociate_proto_rawDescData
}

var file_proto_TokenAssociate_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_proto_TokenAssociate_proto_goTypes = []interface{}{
	(*TokenAssociateTransactionBody)(nil), // 0: proto.TokenAssociateTransactionBody
	(*AccountID)(nil),                     // 1: proto.AccountID
	(*TokenID)(nil),                       // 2: proto.TokenID
}
var file_proto_TokenAssociate_proto_depIdxs = []int32{
	1, // 0: proto.TokenAssociateTransactionBody.account:type_name -> proto.AccountID
	2, // 1: proto.TokenAssociateTransactionBody.tokens:type_name -> proto.TokenID
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_proto_TokenAssociate_proto_init() }
func file_proto_TokenAssociate_proto_init() {
	if File_proto_TokenAssociate_proto != nil {
		return
	}
	file_proto_BasicTypes_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_proto_TokenAssociate_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TokenAssociateTransactionBody); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_TokenAssociate_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_TokenAssociate_proto_goTypes,
		DependencyIndexes: file_proto_TokenAssociate_proto_depIdxs,
		MessageInfos:      file_proto_TokenAssociate_proto_msgTypes,
	}.Build()
	File_proto_TokenAssociate_proto = out.File
	file_proto_TokenAssociate_proto_rawDesc = nil
	file_proto_TokenAssociate_proto_goTypes = nil
	file_proto_TokenAssociate_proto_depIdxs = nil
}
